maybe chmod 0755 'cron.daily'
maybe chmod 0644 'cron.daily/.keep_sys-process_cronbase-0'
maybe chmod 0755 'cron.daily/etckeeper'
+maybe chmod 0755 'cron.daily/logrotate'
maybe chmod 0755 'cron.daily/man-db'
maybe chmod 0755 'cron.daily/mlocate'
maybe chmod 0644 'cron.deny'
maybe chmod 0644 'locale.conf'
maybe chmod 0644 'locale.gen'
maybe chmod 0644 'login.defs'
+maybe chmod 0644 'logrotate.conf'
maybe chmod 0755 'logrotate.d'
+maybe chmod 0644 'logrotate.d/.keep_app-admin_logrotate-0'
maybe chmod 0644 'logrotate.d/apache2'
maybe chmod 0644 'logrotate.d/elog-save-summary'
maybe chmod 0644 'logrotate.d/openrc'
--- /dev/null
+#!/bin/sh
+
+/usr/bin/logrotate /etc/logrotate.conf
+EXITVALUE=$?
+if [ $EXITVALUE != 0 ]; then
+ /usr/bin/logger -t logrotate "ALERT exited abnormally with [$EXITVALUE]"
+fi
+exit 0
--- /dev/null
+# $Id$
+#
+# Default logrotate(8) configuration file for Gentoo Linux.
+# See "man logrotate" for details.
+
+# rotate log files weekly.
+weekly
+#daily
+
+# keep 4 weeks worth of backlogs.
+rotate 4
+
+# create new (empty) log files after rotating old ones.
+create
+
+# use date as a suffix of the rotated file.
+dateext
+
+# compress rotated log files.
+compress
+
+notifempty
+nomail
+noolddir
+
+# packages can drop log rotation information into this directory.
+include /etc/logrotate.d
+
+# no packages own wtmp and btmp -- we'll rotate them here.
+/var/log/wtmp {
+ monthly
+ create 0664 root utmp
+ minsize 1M
+ rotate 1
+}
+/var/log/btmp {
+ missingok
+ monthly
+ create 0600 root utmp
+ rotate 1
+}
+
+# system-specific logs may be also be configured here.